local MinBuild, MaxBuild, Build = 40000, 0, select(4, GetBuildInfo())
if Build < MinBuild or ( MaxBuild > 0 and Build > MaxBuild ) then return end
local AddonName, a = ...
local AddonTitle = select(2, GetAddOnInfo(AddonName))
local PlainAddonTitle = AddonTitle:gsub("|c........", ""):gsub("|r", "")
local L = a.Localize
local s = SpellFlashAddon
local x = s.UpdatedVariables
local c = BittensSpellFlashLibrary

local function flashAspect(name)
	if not s.Buff("Aspect of the "..name, "player") then
		a.Flash("Aspect of the "..name)
	end
end

local function calcFocus()
	focus = s.Power("player")
	if s.Casting("Cobra Shot", "player") then
		if c.userFlagged("2pT13") then
			focus = focus + 18
		else
			focus = focus + 9
		end
	end
	return focus
end

local function flashBeastMastery()
	flashAspect("Hawk")
	a.Flash("Mend Pet")
	
	if not s.InCombat() then
		return
	end
	
	a.FlashAll(
		"Hunter's Mark", 
		"Bestial Wrath", 
		"Focus Fire",
		"Fervor")
	
	if a.Flash(
	   "Kill Command",
	   "Serpent Sting", 
	   "Kill Shot") then
	   
	   return
	end
	
	if calcFocus() > 70 or c.hasBuff("The Beast Within") then
		a.Flash("Arcane Shot")
	else
		a.Flash("Cobra Shot")
	end
end

local allowES = true
local lastES = 0
function fireES()
	if GetTime() - lastES < 2 then
		allowES = false
	end
	lastES = GetTime()
end
local function flashSurvival()
	flashAspect("Hawk")
	a.Flash("Mend Pet")

	if GetTime() - lastES > 1 then
		allowES = true
	end
	if not s.InCombat() then
		return
	end
	
	a.FlashAll(
		"Hunter's Mark", 
		"Serpent Sting", 
		"Black Arrow", 
		"Kiroptyric Sigil")
	if allowES and a.Flash("Explosive Shot") then
		return
	end
	if a.Flash("Kill Shot") then
		return
	end
	
	if calcFocus() > 60 then
		a.Flash("Arcane Shot")
	else
		a.Flash("Cobra Shot")
	end
end

s.Spam[AddonName] = function()
	if s.GetModuleConfig(AddonName, "spell_flashing_off") then 
		return
	end
	
	c.gcdSpell = "Serpent Sting"
	c.spells = a.Spells
	c.addonName = AddonName
	c.run(flashBeastMastery, 1, "bm_off")
	c.run(flashSurvival, 3, "bm_off")
end
