local MinBuild, MaxBuild, Build = 40000, 0, select(4, GetBuildInfo())
if Build < MinBuild or ( MaxBuild > 0 and Build > MaxBuild ) then return end
local AddonName, a = ...
local AddonTitle = select(2, GetAddOnInfo(AddonName))
local PlainAddonTitle = AddonTitle:gsub("|c........", ""):gsub("|r", "")
local L = a.Localize
local s = SpellFlashAddon
local x = s.UpdatedVariables
local c = BittensSpellFlashLibrary

------------------------------------------------------------------------- Common
a.spells["Mend Pet"] = {
    Type = "spell",
	ID = 136,
	FlashColor = "red",
	CheckFirst = function()
		return s.HealthPercent("pet") < 80
	end
}

a.spells["Hunter's Mark"] = {
    Type = "spell",
	ID = 1130,
	Debuff = "Hunter's Mark",
	FlashColor = "yellow",
}

a.spells["Serpent Sting"] = {
    Type = "spell",
	ID = 1978,
	MyDebuff = "Serpent Sting",
	EarlyRefresh = 2,
	Continue = 1,
	FlashColor = "yellow",
}

a.spells["Kill Shot"] = {
    Type = "spell",
	ID = 53351,
}

a.spells["Arcane Shot"] = {
    Type = "spell",
	ID = 3044,
}

a.spells["Cobra Shot"] = {
    Type = "spell",
	ID = 77767,
}

a.spells["Aspect of the Hawk"] = {
    Type = "spell",
	ID = 13165,
}

a.spells["Explosive Trap"] = {
    Type = "spell",
	ID = 13813,
}

a.spells["Kiroptyric Sigil"] = {
    Type = "item",
	ID = 77113,
	Continue = 1,
    FlashColor = "yellow",
	NoGCD = 1,
}

------------------------------------------------------------------ Beast Mastery
a.spells["Focus Fire"] = {
    Type = "spell",
	ID = 82692,
	Buff = "Focus Fire",
	BuffUnit = "player",
	EarlyRefresh = .5,
    FlashColor = "yellow",
	CheckFirst = function()
		return s.BuffStack("Frenzy Effect", "pet") == 5
			and not s.Buff("The Beast Within", "player")
			and c.getCooldown("Bestial Wrath") > 10
	end
}

a.spells["Kill Command"] = {
    Type = "spell",
	ID = 34026,
}

a.spells["Bestial Wrath"] = {
    Type = "spell",
	ID = 19574,
    FlashColor = "yellow",
	CheckFirst = function()
		return s.BuffStack("Frenzy Effect", "pet") == 5
			and s.Power("player") > 70
	end
}

a.spells["Fervor"] = {
    Type = "spell",
	ID = 82726,
    FlashColor = "yellow",
	CheckFirst = function()
		return s.Power("player") < 50 and s.Power("pet") < 50
	end
}

----------------------------------------------------------------------- Survival
a.spells["Explosive Shot"] = {
    Type = "spell",
	ID = 53301,
}

a.spells["Black Arrow"] = {
    Type = "spell",
	ID = 3674,
	Continue = true,
	FlashColor = "yellow",
}
